Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 596032 - X fails to start - Segmentation Fault
X fails to start - Segmentation Fault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-radeonhd (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 03:35 EDT by Douglas Furlong
Modified: 2011-06-27 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:41:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X Log file (17.35 KB, text/plain)
2010-05-26 03:35 EDT, Douglas Furlong
no flags Details
Messages file (456.25 KB, text/plain)
2010-05-26 03:38 EDT, Douglas Furlong
no flags Details
X Configuration fault. (633 bytes, text/plain)
2010-05-26 03:38 EDT, Douglas Furlong
no flags Details

  None (edit)
Description Douglas Furlong 2010-05-26 03:35:55 EDT
Created attachment 416696 [details]
X Log file

Description of problem:
X Fails to start, the following error is presented in the log file.

[    15.691] (EE) RADEONHD(0): Card information has invalid connector information
[    15.691] 
Backtrace:
[    15.691] 0: /usr/bin/Xorg (xorg_backtrace+0x28) [0x49e708]
[    15.691] 1: /usr/bin/Xorg (0x400000+0x603d9) [0x4603d9]
[    15.691] 2: /lib64/libc.so.6 (0x3d2f000000+0x32a40) [0x3d2f032a40]
[    15.691] 3: /usr/bin/Xorg (xf86InitViewport+0x4b) [0x51f04b]
[    15.691] 4: /usr/bin/Xorg (InitOutput+0xb9b) [0x46ef0b]
[    15.691] 5: /usr/bin/Xorg (0x400000+0x21825) [0x421825]
[    15.691] 6: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x3d2f01ec5d]
[    15.691] 7: /usr/bin/Xorg (0x400000+0x21579) [0x421579]
[    15.691] Segmentation fault at address 0x24
[    15.691] 
Fatal server error:
[    15.691] Caught signal 11 (Segmentation fault). Server aborting


Version-Release number of selected component (if applicable):
5.4.20100210git.fc13

How reproducible:
100%

Steps to Reproduce:
1. Set RadeonHD as the video driver and Start X.

  
Actual results:
X Fails to start

Expected results:
X should start

Additional info:

04:00.0 VGA compatible controller: ATI Technologies Inc RV620 [FirePro 2260] (prog-if 00 [VGA controller])
	Subsystem: ATI Technologies Inc Device 2143
	Flags: bus master, fast devsel, latency 0, IRQ 30
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Memory at f7cf0000 (64-bit, non-prefetchable) [size=64K]
	I/O ports at cc00 [size=256]
	Expansion ROM at f7d00000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Legacy Endpoint, MSI 00
	Capabilities: [a0] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Kernel modules: radeon

Kernel command line: ro root=/dev/mapper/vg_gbghdskdfurlo-lv.root rd_LVM_LV=vg_gbghdskdfurlo/lv.root rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=uk rhgb quiet nomodeset radeon.modeset=0

uname -a
Linux gbgh-dsk-dfurlong.sig.ads 2.6.33.4-95.fc13.x86_64 #1 SMP Thu May 13 05:16:23 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

This graphics card uses Displayport if that makes a difference.
Comment 1 Douglas Furlong 2010-05-26 03:38:15 EDT
Created attachment 416698 [details]
Messages file

Not sure if this will be of use.
Comment 2 Douglas Furlong 2010-05-26 03:38:50 EDT
Created attachment 416700 [details]
X Configuration fault.
Comment 3 Douglas Furlong 2010-06-11 03:21:08 EDT
Hi

Is there any thing that I can do to help track down the cause of this bug and help fix it?
Comment 4 Bug Zapper 2011-06-02 09:27:17 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 12:41:25 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.